RequestFailureException (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.exceptions

## Class RequestFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.exceptions.CassandraException
        - - org.apache.cassandra.exceptions.RequestExecutionException
          - - org.apache.cassandra.exceptions.RequestFailureException

- All Implemented Interfaces:
    java.io.Serializable, TransportException
  Direct Known Subclasses:
    ReadFailureException, WriteFailureException

      public class RequestFailureException
      extends RequestExecutionException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `blockFor`
    `ConsistencyLevel` | `consistency`
    `int` | `failures`
    `int` | `received`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RequestFailureException(ExceptionCode code, ConsistencyLevel consistency, int received, int failures, int blockFor)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.exceptions.CassandraException

      `code`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

      `getMessage`

- - ### Field Detail

    - #### consistency

          public final ConsistencyLevel consistency

    - #### received

          public final int received

    - #### failures

          public final int failures

    - #### blockFor

          public final int blockFor

  - ### Constructor Detail

    - #### RequestFailureException

          protected RequestFailureException(ExceptionCode code,
                                            ConsistencyLevel consistency,
                                            int received,
                                            int failures,
                                            int blockFor)

Copyright © 2018 The Apache Software Foundation